# IpeXmlDataSource Class Reference
[Ipe Base]

Interface for getting data for XML parsing. More...

Inherited by IpeStandardStyleSource, and IpeXmlFileSource.

List of all members.

## Public Member Functions

- virtual ~IpeXmlDataSource ()=0
- virtual int GetChar ()=0

## Detailed Description

Interface for getting data for XML parsing.

## Constructor & Destructor Documentation

IpeXmlDataSource::~IpeXmlDataSource | ( |  | ) | `[pure virtual]`

| Pure virtual destructor.

## Member Function Documentation

virtual int IpeXmlDataSource::GetChar | ( |  | ) | `[pure virtual]`

| Get one more character, or EOF. Implemented in IpeXmlFileSource.

The documentation for this class was generated from the following files:

- ipexml.h
- ipexml.cpp